<app-home>
  </app-home>
  <br/>
  <br/>
  <div class="row">
    <div class="col-sm-12">
      <div class="text-center">
        <button id="exportButton" class="btn  btn-danger clearfix" (click)="exportToExcel(form)">
          <span class="fa fa-file-excel-o"></span> Export to Excel</button>
      </div>
    </div>
  </div>
  <br/>
  <table class="table table-hover" #table>
    <thead>
      <tr>
          <th scope="col">Event ID</th>
          <th scope="col">Base Location</th>
        <th scope="col">Beneficiary Name</th>
        <th scope="col">Council Name</th>
        <th scope="col">Event Name</th>
        <th scope="col">Event Description</th>
        <th scope="col">Event Date (DD-MM-YY)</th>
        <th scope="col">Employee ID</th>
        <th scope="col">Employee Name</th>
        <th scope="col">Volunteer Hours</th>
        <th scope="col">Travel Hours</th>
        <th scope="col">Lives Impacted</th>
        <th scope="col">Business Unit</th>
        <th scope="col">Status</th>
      </tr>
    </thead>
    <tbody>
      <tr class="table-active" *ngFor="let event of lstEventDetails">
        <td>{{event.EventCode}}</td>
        <td>{{event.locationName}}</td>
        <td>{{event.beneficiaryName}}</td>
        <td>{{event.councilName}}</td>
        <td>{{event.eventName}}</td>
        <td>{{event.eventDescription}}</td>
        <td>{{event.eventDate}}</td>
        <td>{{event.employeeID}}</td>
        <td>{{event.employeeName}}</td>
        <td>{{event.volunteerHours}}</td>
        <td>{{event.travelHours}}</td>
        <td>{{event.livesImpacted}}</td>
        <td>{{event.businessUnit}}</td>
        <td>{{event.eventStatus}}</td>


      </tr>
    </tbody>
  </table>